Github security enhancement causing pain

0 views
Skip to first unread message

Timothy Lethbridge

unread,
Feb 24, 2018, 5:02:17 PM2/24/18
to Umple Development Discussions, Cruise Group
Hi,

Two days ago Github increased their security by preventing users with
TLS1.1 or earlier from accessing it for https requests, such as git
operations on repositories.

This is impactful for Umple since our cruise server is running a pre-1.2
version of TLS. And as a result I can't get new versions of Umple into
production.

This will require some devops that will consume my time over the net few
days. As a result please anticipate delays in whatever I have promised to
deliver to you.

And I will not be able to properly merge Umple pull requests until the
matter is resolved (I can merge them, but the master Umple will not
update).


Tim

Timothy C. Lethbridge, PhD, P.Eng., I.S.P., CSDP
Professor of Software Engineering and Computer Science
/ Professeur Titulaire de génie logiciel et d'informatique
Faculté de genie / Faculty of Engineering
University of Ottawa / Université d'Ottawa
Tel: 613-562-5800x6685 Fax: 613-562-5664 Mobile: 613-252-1850
http://www.eecs.uottawa.ca/~tcl
Reply all
Reply to author
Forward
0 new messages